


/*---------------=CSS=---------------*/


@import url("https://fonts.googleapis.com/css2?family=Lato:wght@400;700&family=Open+Sans:wght@300;400;600;700&display=swap");
body {
  font-family: 'Anton', sans-serif;
  color: #0c0c0c;
  background-color: whitesmoke;
  overflow-x: hidden;
  margin-top: 65px;
}
html {
  scroll-behavior: smooth;
  height: 100%; /* important pour permettre au flex de fonctionner correctement */
  display: flex;
  flex-direction: column;
}
a,
a:hover,
a:focus {
  color:blue;
}




/*--------HEADER---------*/

.flex-head-right {
  justify-content: space-between;
  display: flex;
  margin-right: 30px;
}
.menu-footer {
  display: none;
  text-align: center;
  background-color: rgb(25, 26, 28);
}
.menu-footer img{
  width: 200px !important;
  margin-top:30px;
  margin-bottom: 30px !important;
  margin-left: 0% !important;
}
#header {
  transition: background-color 0.5s; /* Animation douce de changement de couleur */
  box-shadow: 0 2px 5px 1px rgba(64,60,67,.16);
  border-bottom: 1px solid #80808078;
  background-color: rgb(25, 26, 28);
}
.heading_container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;

}
.heading_container h2 {
  position: relative;
  font-weight: bold;
  margin-bottom: 30px;
  margin-top:30px;
  font-size: 3rem;
}
.heading_container h2 span {
  color: #f5901e;
}
.heading_container p {
  margin:10px;
  min-height: 100px;
  font-size: 20px;
}
.heading_container.heading_center {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  text-align: center;
  margin: 50px 0px 100px 0px;
}
.header_section {
  position: fixed;
  width: 100%;
  color:white;
  top: 0;
  z-index: 1000;
}
.header_section h3 {
  font-size: 18px;
  margin-left:20px;
  margin-top:10px;
  font-weight:100;
  color: #ad845c;
}
.header_section img{
  height: 50px;
  margin-bottom: 8px;
}
.header_section .container-fluid {
  padding-right: 10%;
  padding-left: 10%;
  background-color: #191a1c;
}
.navbar-brand span {
  font-weight: bold;
  font-size: 28px;
  color: white;
}
.custom_nav-container {
  padding: 0;
}
.custom_nav-container .navbar-nav .nav-item .nav-link {
  padding: 5px 20px;
  color: #ffffff;
  text-align: center;
  border-radius: 5px;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  font-size: 18px;
}
.custom_nav-container .navbar-nav .nav-item:hover .nav-link, .custom_nav-container .navbar-nav .nav-item.active .nav-link {
  color: #c26100;
}
.custom_nav-container .navbar-nav .nav-item.active .nav-link {
  font-weight: bold;
}
.custom_nav-container .nav_search-btn {
  width: 35px;
  height: 35px;
  padding: 0;
  border: none;
  color: #ffffff;
}
.custom_nav-container .nav_search-btn:hover {
  color: #c26100;
}
.custom_nav-container .navbar-toggler {
  outline: none;
}
.custom_nav-container .navbar-toggler {
  padding: 0;
  width: 37px;
  height: 42px;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}
.custom_nav-container .navbar-toggler span {
  display: block;
  width: 35px;
  height: 4px;
  background-color: #797979;
  margin: 7px 0;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  position: relative;
  border-radius: 5px;
  transition: all 0.3s;
}
.custom_nav-container .navbar-toggler span::before, .custom_nav-container .navbar-toggler span::after {
  content: "";
  position: absolute;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: #797979;
  top: -10px;
  border-radius: 5px;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}
.custom_nav-container .navbar-toggler span::after {
  top: 10px;
}
.custom_nav-container .navbar-toggler[aria-expanded="true"] {
  -webkit-transform: rotate(360deg);
          transform: rotate(360deg);
}
.custom_nav-container .navbar-toggler[aria-expanded="true"] span {
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
}
.custom_nav-container .navbar-toggler[aria-expanded="true"] span::before, .custom_nav-container .navbar-toggler[aria-expanded="true"] span::after {
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
  top: 0;
}
#lang-select button {
  padding: 10px;
  margin: 5px;
  cursor: pointer;
}
.lang-build {
  display: flex;
  justify-content: center;
  padding:20px;
}

/*Header2*/

.header2 {
  background-color: #191a1cb0;
  border-top: 1px solid #8080804d;
  padding-right: 10%;
  padding-left: 10%;
  padding-top:10px;
  padding-bottom:10px;
  display: flex;  
  justify-content: space-around;
  text-shadow: 1px 1px 2px black;
  background-image: repeating-linear-gradient( 45deg, rgba(127, 127, 127, 0.1) 0px, rgba(162, 162, 162, 0.1) 1px, transparent 1px, transparent 5px );
}
.header2 p{
  text-align: center;
  margin-bottom: 0;
}
.header2 i{
  font-style: normal;
  margin-right:10px;
}
.status-server {
  display: flex;
  align-items: center;
  background-color: #191a1c;
  padding: 5px 10px;
  border-radius: 5px;
  border: 1px solid #8080806e;
  box-shadow: rgb(0, 0, 0) 3px 3px 6px 0px inset, rgba(0, 0, 0, 0.5) -3px -3px 6px 1px inset;
}
#server-status {
  color:#17ac17;
  margin-left:10px;
}
.oro-drop {
  display: flex;
  align-items: center;
  background-color: #191a1c;
  padding: 5px 10px;
  border-radius: 5px;
  border: 1px solid #8080806e;
  box-shadow: rgb(0, 0, 0) 3px 3px 6px 0px inset, rgba(0, 0, 0, 0.5) -3px -3px 6px 1px inset;
}
#itemQuantity {
  color: #bd9c5c;
  margin-left:10px;
}

.players-server {
  display: flex;
  align-items: center;
  background-color: #191a1c;
  padding: 5px 10px;
  border-radius: 5px;
  border: 1px solid #8080806e;
  box-shadow: rgb(0, 0, 0) 3px 3px 6px 0px inset, rgba(0, 0, 0, 0.5) -3px -3px 6px 1px inset;
}
#player-info {
  margin-left:10px;
  color:gray;
}


/*--------FOOTER---------*/

.footer_section {
  position: relative;
  background-color: rgb(25, 26, 28);
  text-align: center;
  padding: 50px 50px 0px 50px;
  bottom: 0;
  margin-top: auto;
}
.footer_section img{
  width: 25px;
  margin-bottom:3px;
}
.footer_section p {
  color: #dddddd;
  padding: 25px 0;
  margin: 0;
}
.footer_section p a {
  color: inherit;
}
.telegram-icon {
  color: #a6a6a6;
  font-size: 30px;
  margin:0px 20px 0px 20px;
}
.twitter-icon {
  color: #a6a6a6;
  font-size: 30px;
  margin:0px 20px 0px 20px;
}
.mail-icon {
  color: #a6a6a6;
  font-size: 30px;
  margin:0px 20px 0px 20px;
}
.telegram-icon:hover {
  color: #fbfbfb;
}
.twitter-icon:hover {
  color: #fbfbfb;
}
.mail-icon:hover {
  color: #fbfbfb;
}





/*--------CONTAINER---------*/

.container {
  background-image: url('../images/background4.jpg');
  background-size: cover;
  flex-grow: 1; /* permet au conteneur de prendre tout l'espace disponible */
  display: flex; /* Ajout pour centrer le contenu verticalement si nécessaire */
  justify-content: center;
  align-items: center;
  height: auto;
  overflow: hidden;
  background-attachment: fixed;
}
.corps-cont {
  padding:50px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin-top: 100px;
}
.corps-logo {
  text-align: center;
  margin-bottom: 50px;
}
.corps-logo img{
  width: 330px;
}
.corps-center {
  background-color: #000000e5;
  margin-bottom: 50px;
  border-radius: 10px;
  background-image: repeating-linear-gradient( 45deg, rgba(127, 127, 127, 0.1) 0px, rgba(162, 162, 162, 0.1) 1px, transparent 1px, transparent 5px );
  padding: 50px;
}
.corps-title {
  color:white;
}
.corps-title h1{
  text-shadow: 1px 1px 2px black;
  font-size: 52px;
  text-align: center;
}
.corps-txt {
  text-align: center;
  color:white;
}
.corps-txt p {
  font-weight: 100;
}
.corps-btn{
  display: flex;
  justify-content: center;
}
.corps-btn h2{
  text-shadow: 0 0 15px rgba(0, 0, 0, 0.589);
  margin-bottom: 0;
}
.btn-dl {
  background-color: #d8ad5f;
  color: white;
  padding: 15px 40px;
  margin:20px;
  border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.43) 0px 3px 8px;
  border: 2px solid #eea827;
}
.btn-insc {
  background-color: #8b898e;
  color: white;
  padding: 15px 40px;
  margin:20px;
  border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.43) 0px 3px 8px;
  border: 2px solid #636363;
}


/*----Ranking----*/
.corps-ranking {
  padding:50px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin-top: 100px;
  width: 100%;
}

/*----Container FluxCp----*/

.cont-flux{
  background-color: #191a1c;
}




/*----Countdown----*/

#countdown {
  text-align: center;
  padding: 20px;
}
#countdown h2{
  text-align: center;
  color:white;
}
.time {
  display: inline-block;
  padding: 5px;
  margin: 15px;
  background-color: #0000009c;
  border-radius: 5px;
  width: 80px;
  color: white;
  font-size: 36px;
  border: 1px solid gray;
  font-family: 'Anton', sans-serif;
}

/*----Slide----*/

.left-load {
  transform: translateX(-100%);
  transition: transform 2s, opacity 0.5s;
  opacity: 0;
}
.left-scroll {
  transform: translateX(-100%);
  transition: transform 2s, opacity 0.5s;
  opacity: 0;
}
.right-load {
  transform: translateX(100%);
  transition: transform 2s, opacity 0.5s;
  opacity: 0;
}
.right-scroll {
  transform: translateX(100%);
  transition: transform 2s, opacity 0.5s;
  opacity: 0;
}

/*----Zoom----*/

.zoom-effect {
  transition: transform 0.9s ease-in-out, opacity 0.9s ease-in-out; /* Ajout de la transition pour l'opacité */
  transform: scale(0.1); /* Taille initiale */
  opacity: 0; /* Opacité initiale */
  box-shadow: 0 2px 5px 1px rgba(64,60,67,.16);
}
.zoom-effect2 {
  transition: transform 0.9s ease-in-out, opacity 0.9s ease-in-out; /* Ajout de la transition pour l'opacité */
  transform: scale(0.1); /* Taille initiale */
  opacity: 0; /* Opacité initiale */
}